% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summaryWidget.R
\name{summaryWidget}
\alias{summaryWidget}
\title{summaryWidget}
\usage{
summaryWidget(
  geoData = NULL,
  rtData = NULL,
  activeArea = NULL,
  activeTime = "all",
  runDate = NULL,
  subregional_ref = NULL,
  width = 900,
  elementId = NULL,
  dryRun = FALSE,
  downloadUrl = NULL,
  ts_color_ref = NULL
)
}
\arguments{
\item{geoData}{sf object, map data}

\item{rtData}{data.frame, rt estimates in the format {'Source':{'rtData':x, 'casesInfectionData':x, 'casesReportData':x, 'obsCasesData':x}, ...}}

\item{activeArea}{character, the default area to plot.}

\item{activeTime}{character, the default time window (defaults to 'all')}

\item{runDate}{character, date of estimate run in the format ('YYYY-MM-DD')}

\item{subregional_ref}{list, reference to subnational estimates in the format {'country_name':'url', ...}.}

\item{width}{integer, width in pixels}

\item{elementId}{string, id of element}

\item{dryRun}{Logical, defaults to FALSE. Should the function be tested without the widget being created.}

\item{downloadUrl}{string, optional URL to download datasets}

\item{ts_color_ref}{list, default reference for time series plots. See default_ts_colors for format.
Useful for checking the integrity of input data.}
}
\description{
Create an Rt visualisation using D3
}
